{config, lib, pkgs, ...}:
let
  autologin = config.services.displayManager.autoLogin.enable;
in
{
  services.displayManager.sddm.enable = true;
  services.displayManager.sddm.wayland.enable = true;
  services.desktopManager.plasma6.enable = true;

  programs.dconf.enable = true;

  # The user is expected to have Emacs instead
  environment.plasma6.excludePackages = with pkgs.kdePackages; [
    elisa
  ];

  # https://github.com/NixOS/nixpkgs/issues/103746#issuecomment-2495681146
  systemd.services."getty@tty1".enable = lib.mkIf autologin false;
  systemd.services."autovt@tty1".enable = lib.mkIf autologin false;
}
